
#ifndef KPTY_EXPORT_H
#define KPTY_EXPORT_H

#ifdef KPTY_STATIC_DEFINE
#  define KPTY_EXPORT
#  define KPTY_NO_EXPORT
#else
#  ifndef KPTY_EXPORT
#    ifdef KF6Pty_EXPORTS
        /* We are building this library */
#      define KPTY_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define KPTY_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef KPTY_NO_EXPORT
#    define KPTY_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef KPTY_DECL_DEPRECATED
#  define KPTY_DECL_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef KPTY_DECL_DEPRECATED_EXPORT
#  define KPTY_DECL_DEPRECATED_EXPORT KPTY_EXPORT KPTY_DECL_DEPRECATED
#endif

#ifndef KPTY_DECL_DEPRECATED_NO_EXPORT
#  define KPTY_DECL_DEPRECATED_NO_EXPORT KPTY_NO_EXPORT KPTY_DECL_DEPRECATED
#endif

/* NOLINTNEXTLINE(readability-avoid-unconditional-preprocessor-if) */
#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef KPTY_NO_DEPRECATED
#    define KPTY_NO_DEPRECATED
#  endif
#endif
#include <kpty_version.h>

#define KPTY_DECL_DEPRECATED_TEXT(text) __attribute__ ((__deprecated__(text)))

/* Take any defaults from group settings */
#if !defined(KPTY_NO_DEPRECATED) && !defined(KPTY_DISABLE_DEPRECATED_BEFORE_AND_AT)
#  ifdef KF_NO_DEPRECATED
#    define KPTY_NO_DEPRECATED
#  elif defined(KF_DISABLE_DEPRECATED_BEFORE_AND_AT)
#    define KPTY_DISABLE_DEPRECATED_BEFORE_AND_AT KF_DISABLE_DEPRECATED_BEFORE_AND_AT
#  endif
#endif
#if !defined(KPTY_DISABLE_DEPRECATED_BEFORE_AND_AT) && defined(KF_DISABLE_DEPRECATED_BEFORE_AND_AT)
#  define KPTY_DISABLE_DEPRECATED_BEFORE_AND_AT KF_DISABLE_DEPRECATED_BEFORE_AND_AT
#endif

#if !defined(KPTY_NO_DEPRECATED_WARNINGS) && !defined(KPTY_DEPRECATED_WARNINGS_SINCE)
#  ifdef KF_NO_DEPRECATED_WARNINGS
#    define KPTY_NO_DEPRECATED_WARNINGS
#  elif defined(KF_DEPRECATED_WARNINGS_SINCE)
#    define KPTY_DEPRECATED_WARNINGS_SINCE KF_DEPRECATED_WARNINGS_SINCE
#  endif
#endif
#if !defined(KPTY_DEPRECATED_WARNINGS_SINCE) && defined(KF_DEPRECATED_WARNINGS_SINCE)
#  define KPTY_DEPRECATED_WARNINGS_SINCE KF_DEPRECATED_WARNINGS_SINCE
#endif

#if defined(KPTY_NO_DEPRECATED)
#  undef KPTY_DEPRECATED
#  define KPTY_DEPRECATED_EXPORT KPTY_EXPORT
#  define KPTY_DEPRECATED_NO_EXPORT KPTY_NO_EXPORT
#elif defined(KPTY_NO_DEPRECATED_WARNINGS)
#  define KPTY_DEPRECATED
#  define KPTY_DEPRECATED_EXPORT KPTY_EXPORT
#  define KPTY_DEPRECATED_NO_EXPORT KPTY_NO_EXPORT
#else
#  define KPTY_DEPRECATED KPTY_DECL_DEPRECATED
#  define KPTY_DEPRECATED_EXPORT KPTY_DECL_DEPRECATED_EXPORT
#  define KPTY_DEPRECATED_NO_EXPORT KPTY_DECL_DEPRECATED_NO_EXPORT
#endif

/* No deprecated API had been removed from build */
#define KPTY_EXCLUDE_DEPRECATED_BEFORE_AND_AT 0

#define KPTY_BUILD_DEPRECATED_SINCE(major, minor) 1

#ifdef KPTY_NO_DEPRECATED
#  define KPTY_DISABLE_DEPRECATED_BEFORE_AND_AT KPTY_VERSION
#endif
#ifdef KPTY_NO_DEPRECATED_WARNINGS
#  define KPTY_DEPRECATED_WARNINGS_SINCE 0
#endif

#ifndef KPTY_DEPRECATED_WARNINGS_SINCE
#  ifdef KPTY_DISABLE_DEPRECATED_BEFORE_AND_AT
#    define KPTY_DEPRECATED_WARNINGS_SINCE KPTY_DISABLE_DEPRECATED_BEFORE_AND_AT
#  else
#    define KPTY_DEPRECATED_WARNINGS_SINCE KPTY_VERSION
#  endif
#endif

#ifndef KPTY_DISABLE_DEPRECATED_BEFORE_AND_AT
#  define KPTY_DISABLE_DEPRECATED_BEFORE_AND_AT 0
#endif

#ifdef KPTY_DEPRECATED
#  define KPTY_ENABLE_DEPRECATED_SINCE(major, minor) (((major<<16)|(minor<<8)) > KPTY_DISABLE_DEPRECATED_BEFORE_AND_AT)
#else
#  define KPTY_ENABLE_DEPRECATED_SINCE(major, minor) 0
#endif

#endif /* KPTY_EXPORT_H */
